Commerce Engine is now in early preview. Please report any issues or feedback to support@commercengine.io
curl --request PUT \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/customers/{user_id}/addresses/{address_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"phone": "<string>",
"email": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"tax_identification_number": "<string>",
"business_name": "<string>",
"is_default_billing": true,
"is_default_shipping": true,
"nickname": null
}
'{
"message": "<string>",
"success": true,
"content": {
"address": {
"first_name": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"phone": "<string>",
"email": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"tax_identification_number": "<string>",
"business_name": "<string>",
"is_phone_verified": true,
"is_email_verified": true,
"id": "<string>",
"is_default_billing": true,
"is_default_shipping": true,
"nickname": null
}
}
}Update address
curl --request PUT \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/customers/{user_id}/addresses/{address_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"phone": "<string>",
"email": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"tax_identification_number": "<string>",
"business_name": "<string>",
"is_default_billing": true,
"is_default_shipping": true,
"nickname": null
}
'{
"message": "<string>",
"success": true,
"content": {
"address": {
"first_name": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"phone": "<string>",
"email": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"tax_identification_number": "<string>",
"business_name": "<string>",
"is_phone_verified": true,
"is_email_verified": true,
"id": "<string>",
"is_default_billing": true,
"is_default_shipping": true,
"nickname": null
}
}
}Access token
payload for address update
Two-letter code begin with a plus sign prefix that identifies different countries. By default it will be +91 if not provided.
10 digit phone number without country code.
"India"Tax Identification Number specific to the country of operation.
Use in billing & shipping details only.
Indicates if the address is the default billing address for the customer.
Indicates if the address is the default shipping address for the customer.
Nickname for the address.
Was this page helpful?